Skip to main content
POST
/
ims
/
oneroster
/
rostering
/
v1p2
/
schools
Create a new School
curl --request POST \
  --url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/schools/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "org": {
    "name": "<string>",
    "type": "<string>",
    "sourcedId": "<string>",
    "status": "active",
    "metadata": {},
    "identifier": "<string>",
    "parent": {
      "sourcedId": "<string>"
    }
  }
}
'
{
  "sourcedIdPairs": {
    "suppliedSourcedId": "<string>",
    "allocatedSourcedId": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.timeback.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
org
object
required

Response

School successfully created

sourcedIdPairs
object
required